function SelectAll()
{
 
   var dom = document.all;
   var el = event.srcElement;
  
      for(i = 0; i < dom.length; i ++ )
      {
         if(dom[i].tagName == "INPUT" && dom[i].type.toLowerCase() == "checkbox")
         {
		 
            dom[i].checked = true;
         }
      }
 
   
}
function SelectFX()
{
   var dom = document.all;
   var el = event.srcElement;
  
      for(i = 0; i < dom.length; i ++ )
      {
         if(dom[i].tagName == "INPUT" && dom[i].type.toLowerCase() == "checkbox")
         {
		 if(dom[i].checked==true)
		 
		 { 
		 dom[i].checked = false;
		 }
		 else{ 
		 dom[i].checked = true;
		 }
           
         }
      }
  
   
}
function isValidCode(strCode)
{
   var i, cChar
   var strValidID = "0123456789-.";
   for (i = 0; i < strCode.length; i ++ )
   {
      cChar = strCode.charAt(i);
      if(strValidID.indexOf(cChar) == - 1) return false;
   }
   return true;
}
